package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.SwitchModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface SwitchProvider extends SuperProvider {
    public BocloudResult list();

    default public BocloudResult create() {
        return null;
    }

    default public BocloudResult remove() {
        return null;
    }

    default public BocloudResult modify() {
        return null;
    }

    BocloudResult create(SwitchModel switchModel);

    BocloudResult remove(SwitchModel switchModel);

    BocloudResult modify(SwitchModel switchModel);
}
